Bug 222281 - www/h2o: rc.conf settings not set
Summary: www/h2o: rc.conf settings not set
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-ports-bugs mailing list
URL: https://reviews.freebsd.org/D12619
Keywords:
Depends on:
Blocks:
 
Reported: 2017-09-13 10:37 UTC by freebsd
Modified: 2017-10-23 13:06 UTC (History)
1 user (show)

See Also:
dch: maintainer-feedback+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description freebsd 2017-09-13 10:37:26 UTC
I needed to move the line "load_rc_config $name" to before the defaults for h2o_config to be set.
Comment 1 Dave Cottlehuber freebsd_committer 2017-10-07 20:42:46 UTC
thanks for your contribution! I've made this and a couple of other cleanups
at https://reviews.freebsd.org/D12619 let me know if you want any other
details included in the eventual commit attribution.
Comment 2 commit-hook freebsd_committer 2017-10-22 22:35:35 UTC
A commit references this bug:

Author: dch
Date: Sun Oct 22 22:34:59 UTC 2017
New revision: 452687
URL: https://svnweb.freebsd.org/changeset/ports/452687

Log:
  www/h2o: update to 2.2.3

  - resolve security vulnerabilities via new release
  - ensure custom config files are loaded by re-ordering h2o rc.d script
  - clean up options while we are here
  - full changelog: https://github.com/h2o/h2o/releases/tag/v2.2.3

  PR:		222281
  Reported by:	freebsd@get-experience.com
  Reviewed by:	jrm (mentor)
  Approved by:	jrm (mentor)
  MFH:		2017Q4
  Security:	CVE-2017-10868
  Security:	CVE-2017-10869
  Differential Revision:	https://reviews.freebsd.org/D12619

Changes:
  head/www/h2o/Makefile
  head/www/h2o/distinfo
  head/www/h2o/files/h2o.in
  head/www/h2o/pkg-descr
Comment 3 commit-hook freebsd_committer 2017-10-23 13:06:47 UTC
A commit references this bug:

Author: swills
Date: Mon Oct 23 13:06:28 UTC 2017
New revision: 452706
URL: https://svnweb.freebsd.org/changeset/ports/452706

Log:
  MFH: r452687

  www/h2o: update to 2.2.3

  - resolve security vulnerabilities via new release
  - ensure custom config files are loaded by re-ordering h2o rc.d script
  - clean up options while we are here
  - full changelog: https://github.com/h2o/h2o/releases/tag/v2.2.3

  PR:		222281
  Reported by:	freebsd@get-experience.com
  Reviewed by:	jrm (mentor)
  Approved by:	jrm (mentor)
  Security:	CVE-2017-10868
  Security:	CVE-2017-10869
  Differential Revision:	https://reviews.freebsd.org/D12619

  Approved by:	ports-secteam (implicit)

Changes:
_U  branches/2017Q4/
  branches/2017Q4/www/h2o/Makefile
  branches/2017Q4/www/h2o/distinfo
  branches/2017Q4/www/h2o/files/h2o.in
  branches/2017Q4/www/h2o/pkg-descr